Bug 429441 - Settings for Dual Head Display Crashes Xorg
Settings for Dual Head Display Crashes Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 21:55 EST by Chris Spencer
Modified: 2009-01-09 02:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Current xorg.conf that doesn't crash X, but also doesn't show spanning desktops, even though it contains two screens. (1.29 KB, application/octet-stream)
2008-01-19 21:55 EST, Chris Spencer
no flags Details

  None (edit)
Description Chris Spencer 2008-01-19 21:55:15 EST
Description of problem:
I recently did a fresh install of Fedora 8. I had previously been using Fedora
7, and have made no hardware changes. When I went to use system-config-display
to configure my system as dual head, Xorg promptly crashed. After much trial and
error, I found that usually removing the line

       Option	    "Xinerama" "on"

from my xorg.conf's server layout would usually get Xorg working, albeit without
dual head. Unfortunately, the cause of the crash isn't always reproducible, and
I'm currently using the attached xorg.conf, as generated by
system-config-display, bug Xorg is not showing separate desktops.

How reproducible:
Inconsistent. Usually turning off or on dual head support and then restarting
will cause the problem, but it's not consistently on or the other. Sometimes
I'll turn off dual head support, restart, and get a crashed X. Other times I'll
turn it on, restart, and get a crashed X.

Steps to Reproduce (assumes you have two monitors):
1. Launch system-config-display.
2. Under the Settings tab, set resolution to 1280x1024.
3. Under the Hardware tab, set monitor to "Samsung SyncMaster 910V/910M/913V"
.and video card to "ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]".
4. Under the Dual Head tab:
4a. Check "Use dual head"
4b. Set Second Monitor Type to "Samsung SyncMaster 910V/910M/913V"
4c. Set Second Video Card to "ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]".
4d. Set resolution to 1280x1024.
4e. Set Desktop layout to "Spanning Desktops".
5. Click OK, then restart X.
  
Actual results:
Xorg should show a single desktop spanning both monitors.

Expected results:
Xorg either mirrors a single desktop in each monitor, or show a Blue Screen of
Death, explaining that it has crashed, possibly due to a bad xorg.conf. It will
then attempt to show you the Xorg logs, and attempt to restart X.

Additional info:
I used this identical setup in Fedora 7 without issue, and I've made no hardware
changes since the previous edition.
Comment 1 Chris Spencer 2008-01-19 21:55:15 EST
Created attachment 292283 [details]
Current xorg.conf that doesn't crash X, but also doesn't show spanning desktops, even though it contains two screens.
Comment 2 Dave Airlie 2008-01-20 03:00:26 EST
did you install all the x.org related updates?
Comment 3 Chris Spencer 2008-01-20 20:38:52 EST
Yes, the first way I tried to fix it was to install all updates with yum. Since
then I haven't been able to get it to crash, but it still refuses to support a
dual head display.
Comment 4 Dave Airlie 2008-01-20 21:55:45 EST
ah try grabbing the ati driver from updates-testing..

xrandr is the way forward in any case old-dualhead is getting harder to do
properly..
Comment 5 Bug Zapper 2008-11-26 04:29:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:36:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.